
<form #f='ngForm' [formGroup]='phoneForm' (ngSubmit)='onSubmit()'>
  <label for='phone'>Phone :
    <input type='tel' id='phone' formControlName='phone' class='phoneInput'>
  </label>

  <div>
    <button type="submit" [disabled]='!phoneForm.valid'>submit</button>
  </div>

  <p>Phone Number: {{phoneForm.value.phone}}</p>
  <p>Form valid : {{phoneForm.valid}}</p>
</form>

<hr>

<p>Assign e164 number <span>{{e164Number}}</span> to the field</p>
<form [formGroup]='demophoneForm' >
  <label for='assignedPhone'>
    Phone:
    <input type='tel' id='assignedPhone' formControlName='assignedPhone' class='phoneInput'>
  </label>
  <p>Phone Number: {{demophoneForm.value.assignedPhone}}</p>
</form>


